|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsChnav
public class CmsChnav
Provides methods for the change navigation dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_CHNAV
Value for the action: change the navigation. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_NAVPOS
Request parameter name for the navigation position. |
static String |
PARAM_NAVTEXT
Request parameter name for the navigation text. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsChnav(CmsJspActionElement jsp)
Public constructor. |
|
CmsChnav(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionChangeNav()
Performs the navigation change. |
String |
buildNavPosSelector()
Builds the HTML for the select box of the navigation position. |
static String |
buildNavPosSelector(CmsObject cms,
String filename,
String attributes,
CmsMessages messages)
Builds the HTML for the select box of the navigation position. |
String |
getCurrentNavText()
Returns the escaped NavText property value of the current resource. |
String |
getParamNavpos()
Returns the value of the navigation position parameter, or null if this parameter was not provided. |
String |
getParamNavtext()
Returns the value of the navigation text parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamNavpos(String value)
Sets the value of the navigation position parameter. |
void |
setParamNavtext(String value)
Sets the value of the navigation text parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_CHNAV
public static final String DIALOG_TYPE
public static final String PARAM_NAVPOS
public static final String PARAM_NAVTEXT
| Constructor Detail |
|---|
public CmsChnav(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsChnav(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public static String buildNavPosSelector(CmsObject cms,
String filename,
String attributes,
CmsMessages messages)
cms - the CmsObjectfilename - the current fileattributes - optional attributes for the <select> tag, do not add the "name" atribute!messages - the localized workplace messages
public void actionChangeNav()
throws JspException
JspException - if including a JSP subelement is not successfulpublic String buildNavPosSelector()
public String getCurrentNavText()
public String getParamNavpos()
The navigation position parameter defines the new value for the NavPos property.
public String getParamNavtext()
The navigation text parameter defines the new value for the NavText property.
public void setParamNavpos(String value)
value - the value to setpublic void setParamNavtext(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||